diff --git a/tests/conftest.py b/tests/conftest.py
index 07422c0..13bd875 100644
--- a/tests/conftest.py
+++ b/tests/conftest.py
@@ -13,6 +13,11 @@ else:
     MPI_ARGS = ("mpirun", "-n")
 PYTEST_ARGS = (sys.executable, "-mpytest")
 
+default_timeout_option = os.environ.get("DEFAULT_TIMEOUT", "")
+if default_timeout_option != "":
+    DEFAULT_TIMEOUT = int(default_timeout_option)
+else:
+    DEFAULT_TIMEOUT = 5
 
 @pytest.fixture
 def has_mpi4py():
@@ -67,7 +72,7 @@ class MPITestdir(object):
             return self._run_pytester(*args, **kwargs)
         return self._run_testdir(*args, **kwargs)
 
-    def _run_testdir(self, *args, timeout=60, mpi_procs=2, max_retries=5):
+    def _run_testdir(self, *args, timeout=None, mpi_procs=2, max_retries=5):
         retries = 0
         p = py.path.local.make_numbered_dir(
             prefix="runpytest-", keep=None, rootdir=self._testdir.tmpdir
@@ -77,6 +82,8 @@ class MPITestdir(object):
         if plugins:
             args = ("-p", plugins[0]) + args
         args = MPI_ARGS + (str(mpi_procs),) + PYTEST_ARGS + args
+        if timeout is None:
+            timeout = DEFAULT_TIMEOUT
         while retries < max_retries:
             try:
                 return self._testdir.run(*args, timeout=timeout)
@@ -86,7 +93,7 @@ class MPITestdir(object):
                     raise
         raise e
 
-    def _run_pytester(self, *args, timeout=60, mpi_procs=2, max_retries=5):
+    def _run_pytester(self, *args, timeout=None, mpi_procs=2, max_retries=5):
         retries = 0
         p = _to_pathlib(py.path.local.make_numbered_dir(
             prefix="runpytest-", keep=None,
@@ -97,6 +104,8 @@ class MPITestdir(object):
         if plugins:
             args = ("-p", plugins[0]) + args
         args = MPI_ARGS + (str(mpi_procs),) + PYTEST_ARGS + args
+        if timeout is None:
+            timeout = DEFAULT_TIMEOUT
         while retries < max_retries:
             try:
                 return self._pytester.run(*args, timeout=timeout)
diff --git a/tests/test_fixtures.py b/tests/test_fixtures.py
index a44d8e5..44e03ee 100644
--- a/tests/test_fixtures.py
+++ b/tests/test_fixtures.py
@@ -53,7 +53,7 @@ MPI_TMP_PATH_TEST_CODE = """
 def test_mpi_file_name(mpi_testdir, has_mpi4py):
     mpi_testdir.makepyfile(MPI_FILE_NAME_TEST_CODE)
 
-    result = mpi_testdir.runpytest("--with-mpi", timeout=5)
+    result = mpi_testdir.runpytest("--with-mpi", timeout=None)
 
     if has_mpi4py:
         result.assert_outcomes(passed=1)
@@ -64,7 +64,8 @@ def test_mpi_file_name(mpi_testdir, has_mpi4py):
 def test_mpi_tmpdir(mpi_testdir, has_mpi4py):
     mpi_testdir.makepyfile(MPI_TMPDIR_TEST_CODE)
 
-    result = mpi_testdir.runpytest("--with-mpi", timeout=5)
+    result = mpi_testdir.runpytest("--with-mpi", timeout=None)
+
 
     if has_mpi4py:
         result.assert_outcomes(passed=1)
@@ -75,7 +76,7 @@ def test_mpi_tmpdir(mpi_testdir, has_mpi4py):
 def test_mpi_tmp_path(mpi_testdir, has_mpi4py):
     mpi_testdir.makepyfile(MPI_TMP_PATH_TEST_CODE)
 
-    result = mpi_testdir.runpytest("--with-mpi", timeout=5)
+    result = mpi_testdir.runpytest("--with-mpi", timeout=None)
 
     if has_mpi4py:
         result.assert_outcomes(passed=1)
